enumerations

## Enum Mode

- java.lang.Object
- - java.lang.Enum<Mode>
  - - enumerations.Mode

- All Implemented Interfaces:
    EnumBase, java.io.Serializable, java.lang.Comparable<Mode>

      public enum Mode
      extends java.lang.Enum<Mode>
      implements EnumBase

  Wireless M-Bus physical layer modes, their names, encodings they use and their IQRF numbering.
  Author:
    David Hudec (dwdization@gmail.com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `S1`
    `S2`
    `S2muc`
    `Ssniffer`
    `T1`
    `T2`
    `T2muc`
    `Tsniffer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Encoding` | `enc`
    `private int` | `iqrfCode`
    `private java.lang.String` | `niceName`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Encoding` | `getEncoding()`
    `int` | `getIqrfCode()`
    `java.lang.String` | `getNiceName()`
    `static java.util.Set<Mode>` | `supportedValues()`
    `static Mode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface core.EnumBase

      `ordinal`

- - ### Enum Constant Detail

    - #### S1

          public static final Mode S1

    - #### S2

          public static final Mode S2

    - #### S2muc

          public static final Mode S2muc

    - #### Ssniffer

          public static final Mode Ssniffer

    - #### T1

          public static final Mode T1

    - #### T2

          public static final Mode T2

    - #### T2muc

          public static final Mode T2muc

    - #### Tsniffer

          public static final Mode Tsniffer

  - ### Field Detail

    - #### enc

          private Encoding enc

    - #### iqrfCode

          private int iqrfCode

    - #### niceName

          private java.lang.String niceName

  - ### Method Detail

    - #### getEncoding

          public Encoding getEncoding()

    - #### getIqrfCode

          public int getIqrfCode()

    - #### getNiceName

          public java.lang.String getNiceName()

      Specified by:
        `getNiceName` in interface `EnumBase`

    - #### supportedValues

          public static java.util.Set<Mode> supportedValues()

    - #### valueOf

          public static Mode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Mode c : Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared